package model

import (
	"time"
)

type CommunityTeamSku struct {
	SkuId      int64     `json:"sku_id" xorm:"not null pk autoincr BIGINT(20)"`
	GoodsId    int       `json:"goods_id" xorm:"not null comment('商品id') INT(11)"`
	Price      string    `json:"price" xorm:"not null default 0.00 comment('价格') DECIMAL(12,2)"`
	CreateTime time.Time `json:"create_time" xorm:"default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
	UpdateTime time.Time `json:"update_time" xorm:"default CURRENT_TIMESTAMP comment('更新时间') DATETIME"`
	Stock      int       `json:"stock" xorm:"not null default 0 comment('库存') INT(11)"`
	Indexes    string    `json:"indexes" xorm:"not null default '' comment('规格值组合的下标') VARCHAR(100)"`
	Sku        string    `json:"sku" xorm:"not null comment('规格组合json') VARCHAR(2048)"`
	SaleCount  int       `json:"sale_count" xorm:"not null default 0 comment('销量') INT(11)"`
	Sort       int       `json:"sort" xorm:"not null default 0 comment('排序') INT(11)"`
	Discount   string    `json:"discount" xorm:"default 10.00 comment('折扣，为10无折扣') DECIMAL(6,2)"`
	SkuCode    string    `json:"sku_code" xorm:"default '' comment('sku编码') VARCHAR(255)"`
}
